Bug 251958 - Explode eclipse sdk tarball on alpha as well
Summary: Explode eclipse sdk tarball on alpha as well
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse   
(Show other bugs)
Version: rawhide
Hardware: alpha
OS: Linux
low
low
Target Milestone: ---
Assignee: Ben Konrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-13 17:30 UTC by Oliver Falk
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 18:47:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Falk 2007-08-13 17:30:43 UTC
Very simple patch:

Index: eclipse.spec
===================================================================
RCS file: /cvs/pkgs/devel/eclipse/eclipse.spec,v
retrieving revision 1.459
diff -u -p -r1.459 eclipse.spec
--- eclipse.spec        3 Aug 2007 19:37:44 -0000       1.459
+++ eclipse.spec        13 Aug 2007 17:27:38 -0000
@@ -738,7 +738,7 @@ install -d -m 755 $RPM_BUILD_ROOT%{_libd

 # Explode the resulting SDK tarball
 tar -C $RPM_BUILD_ROOT%{_datadir} -zxf result/linux-gtk-%{eclipse_arch}-sdk.tar.gz
-%ifarch ppc64 s390 s390x sparc sparc64
+%ifarch ppc64 s390 s390x sparc sparc64 alpha
 cp launchertmp/eclipse $RPM_BUILD_ROOT%{_datadir}/eclipse
 cp features/org.eclipse.platform/gtk/eclipse.ini $RPM_BUILD_ROOT%{_datadir}/eclipse
 %endif

Comment 1 Ben Konrath 2007-08-13 17:33:14 UTC
Do you have commit access to the fedora repo? If so, feel free to commit. Ben

Comment 2 Oliver Falk 2007-08-13 18:46:34 UTC
Yes, I do have. Will fix it myself, thanks for the 'grant' Ben.


Note You need to log in before you can comment on or make changes to this bug.